org.jbpm.workflow.instance.impl.factory

## Class CreateNewNodeFactory

- java.lang.Object
- - org.jbpm.workflow.instance.impl.factory.CreateNewNodeFactory

- All Implemented Interfaces:
    NodeInstanceFactory

      public class CreateNewNodeFactory
      extends Object
      implements NodeInstanceFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Class<? extends org.kie.api.runtime.process.NodeInstance>` | `cls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateNewNodeFactory(Class<? extends org.kie.api.runtime.process.NodeInstance> cls)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.process.NodeInstance` | `getNodeInstance(org.kie.api.definition.process.Node node, WorkflowProcessInstance processInstance, org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cls

          public final Class<? extends org.kie.api.runtime.process.NodeInstance> cls

  - ### Constructor Detail

    - #### CreateNewNodeFactory

          public CreateNewNodeFactory(Class<? extends org.kie.api.runtime.process.NodeInstance> cls)

  - ### Method Detail

    - #### getNodeInstance

          public org.kie.api.runtime.process.NodeInstance getNodeInstance(org.kie.api.definition.process.Node node,
                                                                          WorkflowProcessInstance processInstance,
                                                                          org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer)

      Specified by:
        `getNodeInstance` in interface `NodeInstanceFactory`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.